%define name		xchat-ruby
%define version		1.1
%define release		2%{_my_ext}
%define ruby_version	%(rpm -q --qf '%%{version}' ruby)

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{main_summary}
Group:			Networking/IRC
License:		GPL
Url:			http://xchat-ruby.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:			%{vendor}
Packager:		%{packager}
Distribution:		%{distribution}

Source:			%{name}-src-%{version}.tar.bz2
Patch0:			%{name}-global-install.patch.bz2
BuildRequires:		ruby

Summary:		XChat Ruby plugin
Group:			Networking/IRC
Requires:		%{name} = %{version}-%{release}
Requires:		ruby = %ruby_version
BuildRequires:		ruby-devel = %ruby_version
Obsoletes:		xchat-ruby

%description
Provides Ruby scripting capability to XChat.

%prep
%setup -q -n %{name}-src-%{version}
%patch0

%build
cd src
%make CFLAGS=-fPIC

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/
cp src/xchat-ruby.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/ruby.so
ruby -e 'puts $LOAD_PATH.join("\n")' > $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/rubyenv

%clean
rm -fr $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc README COPYING samples ChangeLog
%{_libdir}/xchat/plugins/ruby.so
%{_libdir}/xchat/plugins/rubyenv

%changelog

* Sun Jan 15 2006 Scott Grayban <sgrayban@borgnet.us>
 - rebuild

* Mon Oct 10 2005 Scott Grayban <sgrayban@borgnet.us>
 - rebuild for 2006

* Wed Jul 13 2005 Scott Grayban <sgrayban@borgnet.us> 2.4.5-7bng
 - rebuild against xchat-2.4.4

* Mon Apr 18 2005 Scott Grayban <sgrayban@borgnet.us> 1.3-3bng
 - rebuild against xchat-2.4.3

* Sun Dec 19 2004  Scott Grayban <sgrayban@borgnet.us> 1.3-2bng
 - rebuild for right extension

* Fri Nov 26 2004 Scott Grayban <sgrayban@borgnet.us> 1.3-1bgn
  - Build for MDK 10.1
